Accounting API

Use the accounting API to access the resource manager's job accounting
data.


This API consists of the following subroutine: 

llr_get_history subroutine

Job accounting information saved in a history file can also be queried
by using the data access API.


llr_get_history subroutine

Use the llr_get_history subroutine to process local or global
LoadLeveler history files.


Library

LoadLeveler API library libllrapi.a (AIX) or libllrapi.so (Linux)


Syntax



int llr_get_history (llr_resmgr_handle_t *rm_handle, const char *filename, 
                     int (*func) (llr_element_t *), llr_element_t **errObj)


Parameters

rm_handle
   Is the pointer to an opaque structure that is returned from the
   llr_init_resmgr subroutine.

filename
   Specifies the name of the history file.

(*func) (llr_element_t *)
   Specifies the user-supplied function you want to call to process each
   history record. The function must return an integer and must accept
   as input a pointer to llr_element_t * that contains the job data. The
   llr_get_data function can be used to access the job data.

errObj
   Is the address of a pointer to a LoadLeveler error object. The
   pointer to the errObj should be set to NULL before calling this
   function. If this function fails, the pointer will point to an error
   object. The error messages stored in the error object can be
   displayed using the llr_error subroutine. The caller should use the
   llr_error subroutine to free the error object storage before reusing
   the pointer.


Description

The llr_get_history subroutine opens the history file you specify, reads
one accounting record, and calls a user-supplied routine, passing to the
routine the address of the object that contains the job data.
llr_get_history processes all history records one at a time and then
closes the file. Any user can call this subroutine.


Return Values

LLR_API_OK
         The history file was successfully processed.

LLR_API_ERROR
         The history file could not be processed. A description of the
         error is provided in the errObj parameter.