
llrmovespool - Move job records

Use the llrmovespool command to move the job records from the spool of
one job manager to another job manager in the local cluster. The
llrmovespool command is intended for recovery purposes only.

Syntax

llrmovespool { -? | -H | -v | [-d directory] -h hostname }

Flags

-?       Provides a short usage message.

-H       Provides extended help information.

-v       Displays the name of the command, release number, service
         level, service level date, and lowest level of the operating
         system to run this release.

-d directory
         Indicates the directory containing the job queue whose job
         records are to be moved. If not specified, the job queue in the
         current working directory will be moved. The specified
         directory must be accessible from the machine upon which the
         command is issued.

-h hostname
         Indicates the host name of the machine running the job manager
         daemon (LoadL_schedd daemon), which manages the job queue
         database that will receive the job records being moved. This
         flag has no default and is required.

Description

The llrmovespool command must be run from a machine that has read and
write access to the specified spool directory containing the job records
being moved. This machine must also have network connectivity to the
machine running the job manager daemon that will receive the job
records. Jobs to be moved can be in any state.

The job manager daemon daemon that created the job records to be moved
must not be running during the move operation. Jobs within the job queue
database will be unrecoverable if the job queue is updated during the
move by any process other than the llrmovespool command. The job manager
daemon that created the job records to be moved must have the
schedd_fenced machine stanza keyword set to true prior to the
llrmovespool command being issued.

All moved jobs retain their original job identifiers. The llrmovespool
command reports the status of each job as it is processed. When the job
records for a job are successfully transferred, the schedd_host of the
job is updated to represent the new job manager daemon and the job
records in the specified spool directory are deleted. The successful
status is reported to standard output. If the transfer for any step
within a job fails, the job records for that step remain in the
specified spool directory and the error status is reported to standard
error. If for some reason a job fails, the llrmovespool command should
be reissued against the specified spool directory to reprocess the job.

The command can be issued by administrators only.

Standard Error

An error message is issued and the command exits for the following error
cases:

*  The command was not issued with the required -h flag.
*  The machine stanza for the machine running the job manager daemon,
   which manages the job queue database that is receiving the job
   records, has the schedd_fenced keyword set to true.
*  The machine stanza for the machine running the job manager daemon,
   which manages the job queue database being moved, does not have the
   schedd_fenced keyword set to true.
*  The specified host name is not a valid machine.
*  The command cannot make a connection to the specified host name.
*  The specified directory does not exist.
*  The job records within the specified directory cannot be accessed.
*  There are no job records within the specified spool directory.
*  The job manager daemon on the specified host name cannot accept the
   transferred job because a job with the same job identifier already
   exists.

Examples

This example moves the job records found in /tmp/tmp_spool to the job
manager daemon running on the c188f2n08 machine:

llrmovespool -d /tmp/tmp_spool -h c188f2n08

You should receive output similar to the following:
     
The job spool records in /tmp/tmp_spool are being moved to c188f2n08.
The records for job c188f2n02.ppd.pok.ibm.com.1@c188f2n02.ppd.pok.ibm.com 
were successfully transferred.

The transfer is complete.

Security

LoadLeveler administrators can issue this command.
