/* IBM_COPYRIGHT_BEGIN_TAG */
/*
 * Copyright IBM Corporation 2009. All rights reserved. The information contained
 * in these materials is provided for informational purposes only, and is provided AS IS
 * without warranty of any kind, express or implied. IBM shall not be responsible for any
 * damages arising out of the use of, or otherwise related to, these materials. Nothing
 * contained in these materials is intended to, nor shall have the effect of, creating any
 * warranties or representations from IBM or its suppliers or licensors, or altering the terms
 * and conditions of the applicable license agreement governing the use of IBM software.
 * References in these materials to IBM products, programs, or services do not imply that
 * they will be available in all countries in which IBM operates. Product release dates
 * and/or capabilities referenced in these materials may change at any time at IBM<92>s sole
 * discretion based on market opportunities or other factors, and are not intended to be a
 * commitment to future product or feature availability in any way. IBM, the IBM logo, AIX,
 * the AIX logo, and other IBM products and services are trademarks of the International
 * Business Machines Corporation, in the United States, other countries or both. Other
 * company, product, or service names may be trademarks or service marks of others.
 */
/* IBM_COPYRIGHT_END_TAG */

#include "rm_symbols.h"

const char* enum_to_string(llr_step_state_t s) {
        switch(s) {
        case LLR_STATE_CANCELED:         return "STATE_CANCELED";
        case LLR_STATE_COMPLETED:        return "STATE_COMPLETED";
        case LLR_STATE_COMPLETE_PENDING: return "STATE_COMPLETE_PENDING";
        case LLR_STATE_DEFERRED:         return "STATE_DEFERRED";
        case LLR_STATE_HOLD:             return "STATE_HOLD";
        case LLR_STATE_IDLE:             return "STATE_IDLE";
        case LLR_STATE_NOTQUEUED:        return "STATE_NOTQUEUED";
        case LLR_STATE_NOTRUN:           return "STATE_NOTRUN";
        case LLR_STATE_PENDING:          return "STATE_PENDING";
        case LLR_STATE_PREEMPTED:        return "STATE_PREEMPTED";
        case LLR_STATE_PREEMPT_PENDING:  return "STATE_PREEMPT_PENDING";
        case LLR_STATE_REJECTED:         return "STATE_REJECTED";
        case LLR_STATE_REJECT_PENDING:   return "STATE_REJECT_PENDING";
        case LLR_STATE_REMOVED:          return "STATE_REMOVED";
        case LLR_STATE_REMOVE_PENDING:   return "STATE_REMOVE_PENDING";
        case LLR_STATE_RESUME_PENDING:   return "STATE_RESUME_PENDING";
        case LLR_STATE_RUNNING:          return "STATE_RUNNING";
        case LLR_STATE_STARTING:         return "STATE_STARTING";
        case LLR_STATE_SUBMISSION_ERR:   return "STATE_SUBMISSION_ERR";
        case LLR_STATE_TERMINATED:       return "STATE_TERMINATED";
        case LLR_STATE_UNEXPANDED:       return "STATE_UNEXPANDED";
        case LLR_STATE_VACATED:          return "STATE_VACATED";
        case LLR_STATE_VACATE_PENDING:   return "STATE_VACATE_PENDING";
        default:                         return "UNKNOWN_STATE";
        }
}

const char* enum_to_string(llr_event_type_t s) {
	switch(s) {
        case LLR_JOB_ADD_EVENT:                return "LLR_JOB_ADD_EVENT";
        case LLR_JOB_DELETE_EVENT:             return "LLR_JOB_DELETE_EVENT";
        case LLR_JOB_STEP_STATE_CHANGE_EVENT:  return "LLR_JOB_STEP_STATE_CHANGE_EVENT";
        case LLR_MACHINE_CONFIG_EVENT:         return "LLR_MACHINE_CONFIG_EVENT";
        case LLR_MACHINE_UPDATE_EVENT:         return "LLR_MACHINE_UPDATE_EVENT";
        case LLR_MACHINE_DOWN_EVENT:           return "LLR_MACHINE_DOWN_EVENT";
        case LLR_RESOURCE_MGR_UP_EVENT:        return "LLR_RESOURCE_MGR_UP_EVENT";
        case LLR_RESOURCE_MGR_DOWN_EVENT:      return "LLR_RESOURCE_MGR_DOWN_EVENT";
        case LLR_JOB_MGR_UP_EVENT:             return "LLR_JOB_MGR_UP_EVENT";
        case LLR_JOB_MGR_DOWN_EVENT:           return "LLR_JOB_MGR_DOWN_EVENT";
        case LLR_ALL_JOBS_EVENT:               return "LLR_ALL_JOBS_EVENT";
        case LLR_ALL_MACHINES_EVENT:           return "LLR_ALL_MACHINES_EVENT";
        case LLR_JOB_STEP_UPDATE_EVENT:        return "LLR_JOB_STEP_UPDATE_EVENT";
	case LLR_MACHINE_UPDATE_ADAPTER_EVENT: return "LLR_MACHINE_UPDATE_ADAPTER_EVENT";
	default:                               return "UNKNOWN_EVENT_TYPE";
	}
}

const char* enum_to_string(llr_network_type_t s) {
	switch(s) {
	case LLR_SWITCH_NETWORK:    return "LLR_SWITCH_NETWORK";
	case LLR_ETHERNET_NETWORK:  return "LLR_ETHERNET_NETWORK";
	case LLR_MULTILINK_NETWORK: return "LLR_MULTILINK_NETWORK";
	default:                    return "UNKNOWN_NETWORK_TYPE";
	}
}

const char* enum_to_string(llr_network_mode_t s) {
	switch(s) {
	case LLR_IP_MODE: return "LLR_IP_MODE";
	case LLR_US_MODE: return "LLR_US_MODE";
	default:          return "UNKNOWN_NETWORK_MODE";
	}
}

const char* enum_to_string(llr_adapter_state_t s) {
	switch(s) {
        case LLR_READY:             return "LLR_READY";
        case LLR_ErrNotConnected:   return "LLR_ErrNotConnected";
        case LLR_ErrNotInitialized: return "LLR_ErrNotInitialized";
        case LLR_ErrNTBL:           return "LLR_ErrNTBL";
        case LLR_ErrNRT:            return "LLR_ErrNRT";
        case LLR_ErrAdapter:        return "LLR_ErrAdapter";
        case LLR_ErrInternal:       return "LLR_ErrInternal";
        case LLR_ErrPerm:           return "LLR_ErrPerm";
        case LLR_ErrPNSD:           return "LLR_ErrPNSD";
        case LLR_ErrDown:           return "LLR_ErrDown";
        case LLR_ErrType:           return "LLR_ErrType";
        case LLR_ErrNTBLVersion:    return "LLR_ErrNTBLVersion";
        case LLR_ErrNRTVersion:     return "LLR_ErrNRTVersion";
        case LLR_ErrNotConfigured:  return "LLR_ErrNotConfigured";
        case LLR_Unknown:           return "UNKNOWN_ADAPTER_STATE";
	default:                    return "UNKNOWN_ADAPTER_STATE";
	}
}

const char* enum_to_string(llr_heartbeat_status_t s) {
	switch(s) {
        case LLR_HB_UNKNOWN:     return "LLR_HB_UNKNOWN";
        case LLR_HB_UP:          return "LLR_HB_UP";
        case LLR_HB_DOWN:        return "LLR_HB_DOWN";
        case LLR_HB_REGION_DOWN: return "LLR_HB_REGION_DOWN";
	default:                 return "UNKNOWN_HEARTBEAT_STATUS";
	}
}

